Bug 21587 - Patrons to notify on receiving doesn't work on new order creation, only on modification
Summary: Patrons to notify on receiving doesn't work on new order creation, only on mo...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Victor Grousset/tuxayo
QA Contact: Testopia
URL:
Keywords:
Depends on: 12648
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-17 14:22 UTC by Victor Grousset/tuxayo
Modified: 2020-01-06 20:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21587: don't drop patrons to notify in order creation (1.69 KB, patch)
2018-10-18 10:04 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 21587: don't drop patrons to notify in order creation (1.77 KB, patch)
2018-10-25 14:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21587: don't drop patrons to notify in order creation (1.83 KB, patch)
2018-10-26 14:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21587: [17.11.x] correct rebase (857 bytes, patch)
2019-02-26 06:43 UTC, Fridolin Somers
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Grousset/tuxayo 2018-10-17 14:22:04 UTC
Reproduced in 17.11 and the current master

== Severity reasons ==
This is loss of information which is likely to get unnoticed.

== Test plan ==
1. have/create a active budget
2. have/create a fund
3. have/create a vendor with minimal info
4. create a basket with minimal info
5. add an order line to the basket
     Add a user in "To notify on receiving"
6. Modify the order
7. The patrons isn't here. This is the bug
8. Add a user in "To notify on receiving"
9. Save
10. Modify the order
11. The patron is here now
Comment 1 Victor Grousset/tuxayo 2018-10-18 10:04:18 UTC
Created attachment 80799 [details] [review]
Bug 21587: don't drop patrons to notify in order creation

It only worked on modification.

== Test plan ==
1. have/create a active budget
2. have/create a fund
3. have/create a vendor with minimal info
4. create a basket with minimal info
5. add an order line to the basket
     Add a user in "To notify on receiving"
6. Modify the order
7. The patrons isn't here. This is the bug
8. Add a user in "To notify on receiving"
9. Save
10. Modify the order
11. The patron is here now
12. Apply this patch
13. Retry step 5 to 11 and patron should be saved on order creation
14. Celebrate! :D
Comment 2 Jonathan Druart 2018-10-25 14:55:26 UTC
Created attachment 81166 [details] [review]
Bug 21587: don't drop patrons to notify in order creation

It only worked on modification.

== Test plan ==
1. have/create a active budget
2. have/create a fund
3. have/create a vendor with minimal info
4. create a basket with minimal info
5. add an order line to the basket
     Add a user in "To notify on receiving"
6. Modify the order
7. The patrons isn't here. This is the bug
8. Add a user in "To notify on receiving"
9. Save
10. Modify the order
11. The patron is here now
12. Apply this patch
13. Retry step 5 to 11 and patron should be saved on order creation
14. Celebrate! :D

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Katrin Fischer 2018-10-26 14:04:51 UTC
Created attachment 81293 [details] [review]
Bug 21587: don't drop patrons to notify in order creation

It only worked on modification.

== Test plan ==
1. have/create a active budget
2. have/create a fund
3. have/create a vendor with minimal info
4. create a basket with minimal info
5. add an order line to the basket
     Add a user in "To notify on receiving"
6. Modify the order
7. The patrons isn't here. This is the bug
8. Add a user in "To notify on receiving"
9. Save
10. Modify the order
11. The patron is here now
12. Apply this patch
13. Retry step 5 to 11 and patron should be saved on order creation
14. Celebrate! :D

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-10-26 17:18:32 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-11-06 13:26:08 UTC
Pushed to 18.05.x for 18.05.06
Comment 6 Fridolin Somers 2018-11-26 06:28:03 UTC
Pushed to 17.11.x for 17.11.12
Comment 7 Koha Team University Lyon 3 2019-02-14 10:12:50 UTC
Still doesn't work in a 17.11.13.000 koha version.
If you add a user to notify in a new order, then save the order and after click on modify : there's no user to notify displayed in this order.
If you modify the same order to add a user to notify,then save the order and after click on modify : you can see the user who have add to notify
Comment 8 Jonathan Druart 2019-02-17 15:20:58 UTC
(In reply to Koha Team Lyon 3 from comment #7)
> Still doesn't work in a 17.11.13.000 koha version.
> If you add a user to notify in a new order, then save the order and after
> click on modify : there's no user to notify displayed in this order.
> If you modify the same order to add a user to notify,then save the order and
> after click on modify : you can see the user who have add to notify

Confirm!
Works ok for other versions however.

The issue comes from a wrong merge conflict:

  289     ModOrderUsers( $orderinfo->{ordernumber}, @order_users );

vs

  299     ModOrderUsers( $order->ordernumber, @order_users );

Frido: Why did you change this line?
Comment 9 Fridolin Somers 2019-02-26 06:40:19 UTC
(In reply to Jonathan Druart from comment #8)
> (In reply to Koha Team Lyon 3 from comment #7)
> > Still doesn't work in a 17.11.13.000 koha version.
> > If you add a user to notify in a new order, then save the order and after
> > click on modify : there's no user to notify displayed in this order.
> > If you modify the same order to add a user to notify,then save the order and
> > after click on modify : you can see the user who have add to notify
> 
> Confirm!
> Works ok for other versions however.
> 
> The issue comes from a wrong merge conflict:
> 
>   289     ModOrderUsers( $orderinfo->{ordernumber}, @order_users );
> 
> vs
> 
>   299     ModOrderUsers( $order->ordernumber, @order_users );
> 
> Frido: Why did you change this line?

Ah sorry i thought it was just a move of the 3 lines.
The create a followup for 17.11.x
Comment 10 Fridolin Somers 2019-02-26 06:43:41 UTC
Created attachment 85692 [details] [review]
Bug 21587: [17.11.x] correct rebase
Comment 11 Fridolin Somers 2019-03-04 15:25:25 UTC
Followup pushed to 17.11.x for 17.11.17